#### D.13.2.28 isSimplicial

Procedure from library `gfan.lib` (see gfan_lib).

Usage:
  isSimplicial(c); c cone
  isSimplicial(f); f fan

Return:
  1, if c resp f is simplicial; 0 otherwise

Example:

    LIB "gfan.lib";
    intmat M1[3][3]=
    1,0,0,
    0,1,0,
    0,0,1;
    cone c1=coneViaPoints(M1);
    isSimplicial(c1);
    ==> 1
    intmat M2[4][3]=
    1,0,0,
    0,1,0,
    0,0,1,
    1,1,-1;
    cone c2=coneViaPoints(M2);
    isSimplicial(c2);
    ==> 0
    /***********************/
    fan f=emptyFan(3);
    isSimplicial(f);
    ==> 1
    intmat N1[3][3]=
    1,0,0,
    0,1,0,
    0,0,1;
    cone d1=coneViaPoints(N1);
    insertCone(f,d1);
    isSimplicial(f);
    ==> 1
    intmat N2[4][3]=
    1,0,0,
    0,1,0,
    1,0,-1,
    0,1,-1;
    cone d2=coneViaPoints(N2);
    insertCone(f,d2);
    isSimplicial(f);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.